import type { _NSObject } from "../Foundation/NSObject.js";
import type { _MTLTileRenderPipelineColorAttachmentDescriptor } from "./MTLTileRenderPipelineColorAttachmentDescriptor.js";
export declare class _MTLTileRenderPipelineColorAttachmentDescriptorArray extends _NSObject {
    static alloc(): _MTLTileRenderPipelineColorAttachmentDescriptorArray;
    static new(): _MTLTileRenderPipelineColorAttachmentDescriptorArray;
    init(): _MTLTileRenderPipelineColorAttachmentDescriptorArray;
    /** Individual tile attachment state access */
    objectAtIndexedSubscript$(attachmentIndex: number): _MTLTileRenderPipelineColorAttachmentDescriptor;
    /**
     * This always uses 'copy' semantics. It is safe to set the attachment state at any legal index to nil, which resets that attachment descriptor state to default values.
     */
    setObject$atIndexedSubscript$(attachment: _MTLTileRenderPipelineColorAttachmentDescriptor, attachmentIndex: number): void;
}
